﻿function data()
	return {  
		info = {
			minorVersion = 350,
			severityAdd = "NONE",
			severityRemove = "NONE",
			name = _("Ampel Upgrade"),
			description = _(" Dieser Mod fügt dem Spiel eine Ampel hinzu, bei der alle Spuren ein eigenes Lichtzeichen besitzen!"),
			tags = { "traffic light", "Verkehrsampel" },
			authors = {
				{
					name = "majuen",
					role = "CREATOR",
					steamProfile = '76561198021237174',
					tfnetId = "22588"
				},
				
			},
			params = {
				{
					key = "type",
					name = _("Verkehrsampel-Typ"),
					values = { _("Standard"), _("ÖPNV Lichtzeichen (rechts)"), _("ÖPNV Lichtzeichen (links) - eis_os Strassenpaket!"),},
					tooltip = _("Wahlweise ohne und mit Bus/Tram Lichtsignal"),
					defaultIndex = 0,
				},
				
			},
			 

		},
		
		runFn = function(settings, modParams)
		    local params = modParams[getCurrentModId()]
			
			if params.type == 0 then
				addFileFilter("trafficLight",  function (fileName, data)
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light_2.lua") then return false end
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light_3.lua") then return false end
					
					return true 
				
				end)
			end	
			if params.type == 1 then
				addFileFilter("trafficLight",  function (fileName, data)
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light.lua") then return false end
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light_3.lua") then return false end
					
					return true
				
				end)
			end	
			if params.type == 2 then
				addFileFilter("trafficLight",  function (fileName, data)
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light.lua") then return false end
					if string.match(fileName, "res/config/traffic_light/majuen_traffic_light_2.lua") then return false end
					
					return true
				
				end)
			end
			
		
		end,
		
	}
end
